#!/bin/ksh

uname -r | grep -v -q 'el5$'
RHEL5=$?
echo RHEL5=$RHEL5

toolDir=$(dirname $(readlink -f $0) )
PRJ=$(dirname $toolDir)
if [ "$RHEL5" != "0" ] ; then
  BASE=$PRJ/out.el5
else
  BASE=$PRJ/out
fi

OBJECTID=ComponentA
PORT=8100

LD_LIBRARY_PATH=$BASE/lib:$LD_LIBRARY_PATH

#LD_DEBUG=all
#strace -o ./ComponentA.strace.txt -tt 
uno \
  -s com.myco.ComponentA \
  -ro $OO_SDK_URE_HOME/share/misc/types.rdb \
  -ro $OO_SDK_URE_HOME/share/misc/services.rdb \
  -ro $BASE/bin/ComponentA.uno.rdb \
  -u "uno:socket,host=0,port=$PORT;urp;$OBJECTID"

